[ARVADOS] updated: 188a9dd98e23d62e0126fcbf60619d1cd7e4537c

git at public.curoverse.com git at public.curoverse.com
Mon Dec 8 10:45:29 EST 2014


Summary of changes:
 sdk/cli/bin/crunch-job | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

       via  188a9dd98e23d62e0126fcbf60619d1cd7e4537c (commit)
       via  4cd8e1f04847b0132f5ee28a1066e6d3ff9fae92 (commit)
      from  536f0f39795aa532348b89fe702b7ad234b536bc (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 188a9dd98e23d62e0126fcbf60619d1cd7e4537c
Author: Brett Smith <brett at curoverse.com>
Date:   Mon Dec 8 10:45:23 2014 -0500

    4027: crunch-job logs its own version information.
    
    By request in code review, to help detect situations where
    crunch-dispatch and crunch-job are out of sync.

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index b1841f4..3f8bc0e 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -86,6 +86,7 @@ use POSIX ':sys_wait_h';
 use POSIX qw(strftime);
 use Fcntl qw(F_GETFL F_SETFL O_NONBLOCK);
 use Arvados;
+use Cwd qw(realpath);
 use Data::Dumper;
 use Digest::MD5 qw(md5_hex);
 use Getopt::Long;
@@ -197,6 +198,16 @@ $Job->{'runtime_constraints'} ||= {};
 $Job->{'runtime_constraints'}->{'max_tasks_per_node'} ||= 0;
 my $max_ncpus = $Job->{'runtime_constraints'}->{'max_tasks_per_node'};
 
+my $gem_versions = `gem list --quiet arvados-cli 2>/dev/null`;
+if ($? == 0) {
+  $gem_versions =~ s/^arvados-cli \(/ with arvados-cli Gem version(s) /;
+  chomp($gem_versions);
+  chop($gem_versions);  # Closing parentheses
+} else {
+  $gem_versions = "";
+}
+Log(undef,
+    "running from " . ((-e $0) ? realpath($0) : "stdin") . $gem_versions);
 
 Log (undef, "check slurm allocation");
 my @slot;

commit 4cd8e1f04847b0132f5ee28a1066e6d3ff9fae92
Author: Brett Smith <brett at curoverse.com>
Date:   Mon Dec 8 10:20:16 2014 -0500

    4027: Fixup "no virtualenv" log message.

diff --git a/sdk/cli/bin/crunch-job b/sdk/cli/bin/crunch-job
index bab1355..b1841f4 100755
--- a/sdk/cli/bin/crunch-job
+++ b/sdk/cli/bin/crunch-job
@@ -1859,7 +1859,8 @@ if (@ARGV) {
     @ARGV = ("/bin/sh", "-ec",
              ". \Q$venv_dir/bin/activate\E; exec $orig_argv");
   } elsif (-d $python_src) {
-    $Log->("Warning: Python SDK installed, but can't build virtualenv");
+    $Log->("Warning: can't run virtualenv inside Docker container - " +
+           "can't install Python SDK");
   }
 
   while (my ($sdk_dir, $sdk_envkey) = each(%SDK_ENVVARS)) {

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list